Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624651 - [RFE] rhts-submit-log should be able to upload log to the sub-result
[RFE] rhts-submit-log should be able to upload log to the sub-result
Status: NEW
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.5
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: beaker-dev-list
SimpleHarness
: FutureFeature, Triaged
Depends On:
Blocks: 545868 524612
  Show dependency treegraph
 
Reported: 2010-08-17 07:26 EDT by Jan Hutař
Modified: 2018-09-12 17:45 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2010-08-17 07:26:04 EDT
Description of problem:
I would like to be able to upload more than 1 log to the sub-result. Currently only rhts-report-result can attach (only one) file to the tests sub-result.


Additional info:
This might be extra option to rhts-submit-log where I can specify sub-test name, or changing rhts-report-result so it can upload multiple files.
Comment 1 Nick Coghlan 2012-10-17 00:37:53 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 Vladimir Benes 2014-02-21 11:28:28 EST
any update here? We use STH (Simple test harness) and it works with sub task massively. 
Uploading webm videos to each dogatil job would be more accurate to each sub-task instead to task itsel with $TEST recognition.

see:
https://beaker.engineering.redhat.com/jobs/593560
Comment 4 Bill Peck 2014-02-21 11:43:45 EST
I'm slightly confused. You say your using an alternate harness but you still need rhts-submit-log?
Comment 5 Jan Tluka 2014-11-03 11:25:04 EST
Hi, this would be very handy also in our network regression testing where I need to submit 2 and more log files.

+1 for this feature!
Comment 6 Dan Callaghan 2014-11-18 23:09:40 EST
There is no nice way to squeeze this into rhts-report-result because its API unfortunately is based on four positional arguments, not options.

    Usage: rhts-report-result TESTNAME TESTRESULT LOGFILE [METRIC]

For alternative harnesses I recommend just using the lab controller HTTP API directly to upload as many files as you want, instead of going through the mess of the rhts-* shell layer.

I will have a look if restraint has a good way of allowing this.
Comment 7 Jan Tluka 2014-11-19 04:34:07 EST
(In reply to Dan Callaghan from comment #6)
> There is no nice way to squeeze this into rhts-report-result because its API
> unfortunately is based on four positional arguments, not options.
> 
>     Usage: rhts-report-result TESTNAME TESTRESULT LOGFILE [METRIC]
> 
> For alternative harnesses I recommend just using the lab controller HTTP API
> directly to upload as many files as you want, instead of going through the
> mess of the rhts-* shell layer.
> 
> I will have a look if restraint has a good way of allowing this.

Where can I find documentation on Beaker HTTP API?
Comment 8 Dan Callaghan 2014-11-19 08:50:22 EST
(In reply to Jan Tluka from comment #7)
> Where can I find documentation on Beaker HTTP API?

The bits for harnesses is here:

https://beaker-project.org/docs/alternative-harnesses/

Note You need to log in before you can comment on or make changes to this bug.